<template>
    <div style="padding:40px;background-color:#fff">
      <v-layout row>
              <v-flex md2>
                  <div style="margin-left:20px;padding-top:10px">
                      <v-menu
                          ref="menu"
                          v-model="menu"
                          :close-on-content-click="false"
                          :return-value.sync="date"
                          transition="scale-transition"
                          offset-y
                          min-width="290px"
                        >
                          <template v-slot:activator="{ on }">
                            <v-text-field
                              v-model="date"
                              label="Start Date"
                              append-icon="event"
                              readonly
                              v-on="on"
                            ></v-text-field>
                          </template>
                          <v-date-picker v-model="date" no-title scrollable>
                            <v-spacer></v-spacer>
                            <v-btn text color="primary" @click="menu = false">Cancel</v-btn>
                            <v-btn text color="primary" @click="$refs.menu.save(date)">OK</v-btn>
                          </v-date-picker>
                        </v-menu>
                    </div>
              </v-flex>

              <v-flex md2>
                 <div style="margin-left:20px;padding-top:10px">
                      <v-menu
                        ref="menu2"
                        v-model="menu2"
                        :close-on-content-click="false"
                        :return-value.sync="date2"
                        transition="scale-transition"
                        offset-y
                        min-width="290px"
                      >
                        <template v-slot:activator="{ on }">
                          <v-text-field
                            v-model="date2"
                            label="End Date"
                            append-icon="event"
                            readonly
                            v-on="on"
                          ></v-text-field>
                        </template>
                        <v-date-picker v-model="date2" no-title scrollable>
                          <v-spacer></v-spacer>
                          <v-btn text color="primary" @click="menu2 = false">Cancel</v-btn>
                          <v-btn text color="primary" @click="$refs.menu2.save(date2)">OK</v-btn>
                        </v-date-picker>
                      </v-menu>
                  </div>   
              </v-flex>

              <v-flex md3>
                 <div style="margin-left:20px;padding-top:10px">
                      <v-autocomplete 
                        item-text="COMPANY_NAME"
                        item-value="COMPANY_ID"
                        v-model="company_id" 
                        :items="list_company"
                        :rules="rules"
                        label="Choose Company"
                        v-bind:value="{ id: COMPANY_ID, text: COMPANY_NAME }"
                      ></v-autocomplete>
                  </div>   
              </v-flex>

              <v-flex md3>
                  <div style="margin-left:20px;padding-top:20px">
                    <v-btn color="primary" v-on:click="getData">
                      Search
                    </v-btn>
                    &nbsp;

                    <v-btn color="success" dark v-on:click="alldata()">
                      All
                    </v-btn>
                  </div>
              </v-flex>

            </v-layout>
      <br>

      <div style="padding:0px">
            <v-data-table
              :headers="headers"
              :items="desserts"
              :items-per-page="5"
              class="elevation-1"
            ></v-data-table>
      </div>
    </div>
</template>


<script>
export default {
    methods: {
      getData(){
          var self = this;
          var url  = self.base_url + "dashboard/sla_admin";

          self.axios.post(url , {
              company : self.company_id,
              startdate : self.date,
              enddate : self.date2
          })
          .then(function (response) {
              self.desserts = response.data;
          });
      },
      getCompany(){ 
          var self = this;
          //self.storage_location = '';
          var url = this.base_url + "dropdown/company"; 
          this.axios.get(url).then(function (response) {
            self.list_company = response.data;
          });
      },
      alldata(){
        var self = this;
        self.server_code = "";
        self.company_id = "";
        self.date = "";
        self.date2 = "";
        self.getData();
      }
    },
    mounted(){
        
        if(this.storage_role !='CAT' && this.storage_role !='ADM'){
          this.$router.push('/login');
        }

         this.getData(); 
         this.getCompany();    
    },
    data () { 
      return {
        name : "ApproveRatio",
        title : "Average SLA",
        items: [],
        desserts : [],
        headers: [
          { text: 'Request No', value: 'REQUEST_NO',width:"120"},
          { text: 'Departement', value: 'DEPARTEMENT_ID',width:"120"},
          { text: 'Requester', value: 'REQUESTER',width:"180"},
          { text: 'Item Name', value: 'INC',width:"250"},
          { text: 'Approval 1', value: 'APPROVAL1_DATE',width:"150"},
          { text: 'Approval 2', value: 'APPROVAL2_DATE',width:"150"},
          { text: 'Cataloguer', value: 'CATALOGUER_DATE',width:"150"},
          { text: 'Total LT', value: 'total',width:"150"},
        ],

        list_company : [],
        list_server_code : [],

        //storage.....................................
        storage_user_id : atob(localStorage.getItem("user_id")),
        storage_username : atob(localStorage.getItem("username")),
        storage_fullname : atob(localStorage.getItem("fullname")),
        storage_company_id : atob(localStorage.getItem("company_id")),
        storage_company_name : atob(localStorage.getItem("company_name")),
        storage_role : atob(localStorage.getItem("role")),
        storage_server : atob(localStorage.getItem("server")),
        storage_departement_id : atob(localStorage.getItem("departement_id")),
      }
    },
  }
</script>
